
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef INITNG_COLORPRINT_OUT_H
#define INITNG_COLORPRINT_OUT_H


#define C_OFF "\033[0m"
#define C_BLUE "\033[34;01m"
#define C_RED "\033[01;31m"
#define C_GREEN "\033[32;01m"
#define C_CYAN "\033[36;01m"
#define MOVE_TO_R "\033[36G"
#define MOVE_TO_P "\033[A\033[90G"

int print_output(active_db_h * service);
extern active_db_h *lastservice;        /* Last service that gave output */

int module_init(const char *version);
void module_unload(void);
#endif
